The BOOST_PP_SEQ_FOR_EACH_R macro repeats a macro for each element in a seq. It reenters BOOST_PP_FOR with maximum efficiency.

#### Usage

BOOST_PP_SEQ_FOR_EACH_R(r, macro, data, seq)

#### Arguments

r
  The next available BOOST_PP_FOR repetition.
macro
  A ternary macro of the form macro(r, data, elem). This macro is expanded by BOOST_PP_SEQ_FOR_EACH with each element in seq. It is expanded with the next available BOOST_PP_FOR repetition, the auxiliary data, and the current element.
data
  Auxiliary data passed to macro.
seq
  The seq for which macro will be invoked on each element.

#### Remarks

This macro is a repetition construct. If seq is (a)(b)(c), it expands to the sequence:
macro(r, data, a) macro(r, data, b) macro(r, data, c)

#### See Also

- BOOST_PP_SEQ_FOR_EACH

#### Requirements

Header: <boost/preprocessor/seq/for_each.hpp>